Subject: Re: [RFC] Moving "git remote add --mirror blah" functionality to "git clone --bare --origin=blah"

From: Junio C Hamano <[email-masked]>
Date: Wed, 23 Apr 2008 15:02:41 -0700

Paolo Bonzini <[email-masked]> writes:

> It seems useless to have an option in "git remote add" just because it
> might be necessary in a future refactoring of "git clone", but without
> a good use case beside that one.

Ooo.  But I think that's the other way around.  It was prepared for that
purpose but people never followed through.  Check the archive around
commit 3894439 (Teach "git remote" a mirror mode, 2007-09-02).

> --mirror" is close to useless: anyone who needs it 99% of the time
> knows how to hack the config...

Eh, in that sense, "git remote" itself is useless, isn't it?  I have to
say that this particular point of your argument does not give us any new
or interesting insight to work from.

As I already said, I think "push to backup" option would be useful.  It
just cannot take over --mirror option, which means something different.